var enemySpeed: int;


function Update () {

amtToMove = enemySpeed * Time.deltaTime;
transform.Translate(Vector3.left * amtToMove);

moveAction();
/*
if(transform.position.x <= -10){

	transform.position.x = 10;
	
	transform.position.y = Random.Range(-4,4);

}
*/

}

function moveAction(){

     
      transform.position.y= transform.position.y + Mathf.PingPong(Time.time/2,0.3)-0.15;

}